Description

In #50983 we have introduced a public API to get the current application context.

The API was:

\TYPO3\CMS\Core\Utility\GeneralUtility::getContext();

I suggest to change the API name to

\TYPO3\CMS\Core\Utility\GeneralUtility::getApplicationContext();

and use the term applicationContext in all other places.

Related issues:
related to Core - Bug # 50983: Add public API to get ApplicationContext Resolved 2013-08-10
blocks Core - Feature # 50132: TypoScript: Application Context condition Resolved 2013-07-17

Associated revisions
Revision 24f32d1d - 2013-10-11 10:47 - Steffen Müller

[TASK] Rename API for ApplicationContext

Use the term "applicationContext" instead of "context",
because it is too general and could lead to confusion.

Resolves: #52678
Releases: 6.2
Change-Id: Ib586d9d1eb69e6ca7981ed638d45f7aa5b6e6c70
Reviewed-on: https://review.typo3.org/24541
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2013-10-11 02:02 - Steffen Müller
- Subject changed from Rename API to get ApplicationContext to Rename API for ApplicationContext

#2 - 2013-10-11 02:05 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24541

#3 - 2013-10-11 02:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24541

#4 - 2013-10-11 10:28 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24541

#5 - 2013-10-11 10:32 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24541

#6 - 2013-10-11 10:41 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24541

#7 - 2013-10-11 11:30 - Steffen Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:24f32d1d72e682b821ce607edd5879de93daeab9.
